@import '~@angular/material/theming';

@mixin mat-custom-table-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);

  .mat-elevation-z8 {
    box-shadow: none;
  }

  .mat-table {
    width: calc(100% - 0rem);
    border-collapse: separate;
  }
  .mat-header-row,
  .mat-row {
    height: auto;
  }

  .mat-header-cell {
    color: mat-color($accent, 700);
    letter-spacing: 0.031rem;
    font-weight: bold;
    font-size: 0.75rem;
    text-transform: uppercase;
    padding-left: 0rem;
    border-bottom-width: 0.125rem ;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    font-weight: 700;

    &:first-child{
      padding-left: 0.188rem;
    }

    .mat-sort-header-arrow {
      color: mat-color($accent, 700) ;
    }
  }

  .mat-cell {
    color: mat-color($accent, 700) ;
    line-height: 1.5rem;
    padding: 0.5rem 0 0.5rem 0;
    cursor: pointer;

    &:first-child{
      padding-left: 0.188rem;
    }
  }

  .mat-cell, .mat-header-cell {
    border-bottom-color: mat-color($accent, 300) ;
    transition: background-color 0.3s ease;
    transition: border 0.1s ease;
  }

  .mat-column-select {
    flex: 0 0 2.5rem;
    width: 2.5rem;
    max-width: 2.5rem;
    min-width: 2.5rem;
    padding-left: 0 ;
  }

  td.mat-column-select {
    border-bottom: none ;
  }

  .mat-row {
    transition: background-color 0.3s ease;
    transition: border 0.1s ease;

    &.active {
      .mat-cell:first-child {
        border-left: 0.313rem solid mat-color($primary, 500) ;
      }

      .mat-cell {
        border-bottom: 0.0625rem solid mat-color($primary, 500) ;
        border-top: 0.0625rem solid mat-color($primary, 500) ;
      }
    }

    &:hover {
      background-color: mat-color($accent, 50);
    }
  }
}
